import 'dart:async';

import 'package:flutter/services.dart';

class Bridge {
  static const MethodChannel _channel = const MethodChannel('bridge');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  
  static Future<String> get uaacToken async {
    final String token = await _channel.invokeMethod('getUaacToken');
    return token;
  }

  static Future<String> get safeCardId async {
    final String safeCardId = await _channel.invokeMethod('getSafeCardId');
    return safeCardId;
  }
}
